WordPress.org

Support

Support » Installation » WP 2.0 upgrade – PHP Fatal error

WP 2.0 upgrade – PHP Fatal error

  • My WordPress 2.0 upgrade installation over previous v1.5.1.3 installation is causing the following error:

    [01-Jan-2006 18:30:06] PHP Fatal error: Cannot redeclare user_can_create_post() (previously declared in /home/powersca/public_html/blog/wp-includes/functions-post.php:335) in /home/powersca/public_html/blog/wp-includes/capabilities.php on line 339

    http://www.powerscanpc.com/blog

Viewing 4 replies - 1 through 4 (of 4 total)
  • ‘over’

    Did you delete all the old files first ?
    Overwriting causes errors.

    No, I overwrote the old files. I didn’t see or probably missed seeing this in the upgrade instructions. I deleted all the old files and installed the new version but now I’m getting a blank screen.

    If somebody has an active blog going, is it possible to prevent any downtime during the deletion/installation process of the new version?

    I got it working. I just needed to repair the database.

    I get the same error. I had deleted the files before.
    How did you repair your database please?

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘WP 2.0 upgrade – PHP Fatal error’ is closed to new replies.
Skip to toolbar